Topic: Impossible d'installer OCS-Inventory-Agent

Bonjour,

L'installation de l'agent OCS semble impossible car nécessite monitor-edid, mais il ne semble plus faire partie des dépôts.

# yum install ocsinventory-agent.x86_64 --enablerepo=remi
Modules complémentaires chargés : fastestmirror, langpacks
Loading mirror speeds from cached hostfile
* base: centos.quelquesmots.fr
* epel: epel.mirrors.ovh.net
* extras: centos.mirror.fr.planethoster.net
* remi: rpms.remirepo.net
* remi-safe: rpms.remirepo.net
* updates: centos.quelquesmots.fr
Résolution des dépendances
--> Lancement de la transaction de test
---> Le paquet ocsinventory-agent.x86_64 0:2.1.1-1.el7.remi sera installé
--> Traitement de la dépendance : perl-Ocsinventory-Agent = 2.1.1-1.el7.remi pour le paquet : ocsinventory-agent-2.1.1-1.el7.remi.x86_64
--> Lancement de la transaction de test
---> Le paquet perl-Ocsinventory-Agent.noarch 0:2.1.1-1.el7.remi sera installé
--> Traitement de la dépendance : perl(XML::Simple) pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
--> Traitement de la dépendance : perl(Proc::Daemon) pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
--> Traitement de la dépendance : perl(Net::IP) pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
--> Traitement de la dépendance : perl(Crypt::SSLeay) pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
--> Traitement de la dépendance : nmap pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
--> Traitement de la dépendance : monitor-edid pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
--> Lancement de la transaction de test
---> Le paquet nmap.x86_64 2:6.40-7.el7 sera installé
---> Le paquet perl-Crypt-SSLeay.x86_64 0:0.64-5.el7 sera installé
---> Le paquet perl-Net-IP.noarch 0:1.26-4.el7 sera installé
---> Le paquet perl-Ocsinventory-Agent.noarch 0:2.1.1-1.el7.remi sera installé
--> Traitement de la dépendance : monitor-edid pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
---> Le paquet perl-Proc-Daemon.noarch 0:0.19-1.el7 sera installé
--> Traitement de la dépendance : perl(Proc::ProcessTable) pour le paquet : perl-Proc-Daemon-0.19-1.el7.noarch
---> Le paquet perl-XML-Simple.noarch 0:2.20-5.el7 sera installé
--> Traitement de la dépendance : perl(XML::Parser) pour le paquet : perl-XML-Simple-2.20-5.el7.noarch
--> Lancement de la transaction de test
---> Le paquet perl-Ocsinventory-Agent.noarch 0:2.1.1-1.el7.remi sera installé
--> Traitement de la dépendance : monitor-edid pour le paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch
---> Le paquet perl-Proc-ProcessTable.x86_64 0:0.48-1.el7 sera installé
---> Le paquet perl-XML-Parser.x86_64 0:2.41-10.el7 sera installé
--> Résolution des dépendances terminée
Erreur : Paquet : perl-Ocsinventory-Agent-2.1.1-1.el7.remi.noarch (remi)
             Requiert : monitor-edid
Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Re: Impossible d'installer OCS-Inventory-Agent

Désolé: http://forum.remirepo.net/viewtopic.php?id=3372

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 24 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.8 x86_64 + EPEL + remi + remi-php70

Re: Impossible d'installer OCS-Inventory-Agent

OK merci pour l'info.
Du coup tu ne connais pas un dépôt où il est dispo ?

Re: Impossible d'installer OCS-Inventory-Agent

Comme je suis (trop) gentil, j'ai mis "monitor-edid" dans mon dépôt. ça devrait permettre d'install l'ancienne version 2.1.x

(et non, je ne connais personne fournissant un RPM d'ocs)

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 24 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.8 x86_64 + EPEL + remi + remi-php70

Re: Impossible d'installer OCS-Inventory-Agent

Merci beaucoup !! T'es trop fort.
J'utilise le serveur en version 2.1 donc l'agent en 2.1 me convient parfaitement (pas besoin du 2.2 qui semble foireux à packager si j'ai bien compris).